Rename or re-scope a channel
PATCH/api/chat/channels/{channelId}
PATCH
/api/chat/channels/{channelId}
Owners and managers only. Pass null for a role list to clear the restriction.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channelId
required
string format: uuid
Request Body
Section titled “Request Body”Fields to change
object
name
string
visibleToRoles
Array<string>
postRoles
Array<string>
Responses
Section titled “Responses”Updated
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden
object
ok
required
boolean
error
required
string
code
string
Channel not found
object
ok
required
boolean
error
required
string
code
string
A channel with that name already exists
object
ok
required
boolean
error
required
string
code
string
Server error
object
ok
required
boolean
error
required
string
code
string
